commit: 843a8a38aae8d007b7d0f6567a41e6f8b0f3d37f
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Apr 10 07:20:18 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Apr 10 07:20:18 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=843a8a38
dev-python/pyspelling: fix doc, needs git repo
Package-Manager: Portage-2.3.98, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
dev-python/pyspelling/pyspelling-2.6.0.ebuild | 25 ++++++++++++++++---------
1 file changed, 16 insertions(+), 9 deletions(-)
diff --git a/dev-python/pyspelling/pyspelling-2.6.0.ebuild
b/dev-python/pyspelling/pyspelling-2.6.0.ebuild
index a3ed42c..c9b21a2 100644
--- a/dev-python/pyspelling/pyspelling-2.6.0.ebuild
+++ b/dev-python/pyspelling/pyspelling-2.6.0.ebuild
@@ -7,16 +7,13 @@ PYTHON_COMPAT=( python3_{6,7,8} )
DISTUTILS_USE_SETUPTOOLS=rdepend
-#ERROR - Unable to read git logs of
'/tmp/mozilla_andrew0/pyspelling-2.6.0/docs/src/markdown/index.md'. To ignore
this error, set option 'ignoring_missing_git: true'
-#ERROR - Error reading page 'index.md': Cmd('git') failed due to: exit
code(128)
-# How does one set this option though???
-#DOCBUILDER="mkdocs"
-#DOCDEPEND="
-# dev-python/mkdocs-git-revision-date-localized-plugin
-# dev-python/mkdocs_pymdownx_material_extras
-# ~dev-python/mkdocs-material-5.0.0_rc2"
+DOCBUILDER="mkdocs"
+DOCDEPEND="
+ dev-python/mkdocs-git-revision-date-localized-plugin
+ dev-python/mkdocs_pymdownx_material_extras
+ ~dev-python/mkdocs-material-5.0.0_rc2"
-inherit distutils-r1 #docs
+inherit distutils-r1 docs
DESCRIPTION="Spell checker automation tool"
HOMEPAGE="https://github.com/facelessuser/pyspelling"
@@ -41,3 +38,13 @@ RDEPEND="
PATCHES="${FILESDIR}/${P}-do-not-install-tests.patch"
distutils_enable_tests pytest
+
+python_prepare_all() {
+ # git revision data plugin needs git repo to build
+ if use doc; then
+ git init || die
+ git add -A || die
+ git commit -q -m ".." || die
+ fi
+ distutils-r1_python_prepare_all
+}